package id.iptek.utms.agent.model;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Jaka
 */
public class PendingDownloadTask implements Serializable {

    private String terminalSN;
    private String terminalGroupId;
    private String id;
    private String name;
    private int downloadTimeType;
    private Date downloadTime;
    private int installationTimeType;
    private Date installationTime;
    private int installationNotification;
    private Date lastBroadcastTs;
    private int activity;
    private String logId;
    private Application app;

    public PendingDownloadTask() {
    }

    /**
     * @return the terminalSN
     */
    public String getTerminalSN() {
        return terminalSN;
    }

    /**
     * @param terminalSN the terminalSN to set
     */
    public void setTerminalSN(String terminalSN) {
        this.terminalSN = terminalSN;
    }
    
    

    /**
     * @return the terminalGroupId
     */
    public String getTerminalGroupId() {
        return terminalGroupId;
    }

    /**
     * @param terminalGroupId the terminalGroupId to set
     */
    public void setTerminalGroupId(String terminalGroupId) {
        this.terminalGroupId = terminalGroupId;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the downloadTimeType
     */
    public int getDownloadTimeType() {
        return downloadTimeType;
    }

    /**
     * @param downloadTimeType the downloadTimeType to set
     */
    public void setDownloadTimeType(int downloadTimeType) {
        this.downloadTimeType = downloadTimeType;
    }

    /**
     * @return the downloadTime
     */
    public Date getDownloadTime() {
        return downloadTime;
    }

    /**
     * @param downloadTime the downloadTime to set
     */
    public void setDownloadTime(Date downloadTime) {
        this.downloadTime = downloadTime;
    }

    /**
     * @return the installationTimeType
     */
    public int getInstallationTimeType() {
        return installationTimeType;
    }

    /**
     * @param installationTimeType the installationTimeType to set
     */
    public void setInstallationTimeType(int installationTimeType) {
        this.installationTimeType = installationTimeType;
    }

    /**
     * @return the installationTime
     */
    public Date getInstallationTime() {
        return installationTime;
    }

    /**
     * @param installationTime the installationTime to set
     */
    public void setInstallationTime(Date installationTime) {
        this.installationTime = installationTime;
    }

    /**
     * @return the installationNotification
     */
    public int getInstallationNotification() {
        return installationNotification;
    }

    /**
     * @param installationNotification the installationNotification to set
     */
    public void setInstallationNotification(int installationNotification) {
        this.installationNotification = installationNotification;
    }

    /**
     * @return the lastBroadcastTs
     */
    public Date getLastBroadcastTs() {
        return lastBroadcastTs;
    }

    /**
     * @param lastBroadcastTs the lastBroadcastTs to set
     */
    public void setLastBroadcastTs(Date lastBroadcastTs) {
        this.lastBroadcastTs = lastBroadcastTs;
    }

    /**
     * @return the activity
     */
    public int getActivity() {
        return activity;
    }

    /**
     * @param activity the activity to set
     */
    public void setActivity(int activity) {
        this.activity = activity;
    }

    /**
     * @return the logId
     */
    public String getLogId() {
        return logId;
    }

    /**
     * @param logId the logId to set
     */
    public void setLogId(String logId) {
        this.logId = logId;
    }

    /**
     * @return the app
     */
    public Application getApp() {
        return app;
    }

    /**
     * @param app the app to set
     */
    public void setApp(Application app) {
        this.app = app;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("PendingDownloadTask{");
        sb.append("terminalSN=").append(terminalSN);
        sb.append(", terminalGroupId=").append(terminalGroupId);
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", downloadTimeType=").append(downloadTimeType);
        sb.append(", downloadTime=").append(downloadTime);
        sb.append(", installationTimeType=").append(installationTimeType);
        sb.append(", installationTime=").append(installationTime);
        sb.append(", installationNotification=").append(installationNotification);
        sb.append(", lastBroadcastTs=").append(lastBroadcastTs);
        sb.append(", activity=").append(activity);
        sb.append(", logId=").append(logId);
        sb.append(", app=").append(app);
        sb.append('}');
        return sb.toString();
    }

}
